<template>
  <div class="mobile-container">
    <!-- <van-nav-bar
        :title="query.title"
        left-text="返回"
        left-arrow
        @click-left="onClickLeft"
        @click-right="onClickRight"
      /> -->
    <van-sticky class="containter-sticky">
      <navBar
        style="z-index: 100;"
        :title="title"
        @clickLeft="onClickLeft"
        @clickRight="onClickRight"
      />
    </van-sticky>
    <router-view />
  </div>
</template>

<script>
import navBar from '@/views/Mobile/components/navBar.vue'

export default {
  name: 'MobileDeviceHome',
  components: {
    navBar
  },
  data() {
    return {
      query: {},
      title: ''
    }
  },
  mounted() {
    this.query = this.$route.query
    if (this.query.title) {
      this.title = this.query.title
    } else {
      this.title = this.$refs.contentView.title
    }
  },

  methods: {
    onClickLeft() {
      this.$router.go(-1)
    },
    onClickRight() {
      console.log(2)
    }
  }
}
</script>

<style scoped lang="scss">
.mobile-container {
  width: 100%;
  height: 100%;
}

::v-deep .van-nav-bar .van-icon {
  color: white !important;
}

::v-deep .van-nav-bar__content {
  height: 9vw !important;
  background-color: #469ff7;

  .van-nav-bar__title {
    color: white;
  }
}
</style>
